/* 
Theme Name:		Hello Elementor Child
Theme URI:		https://elementor.com/
Description:	Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author:			Elementor Team
Author URI:		https://elementor.com/
Template:		hello-elementor
Version:		1.0.0
Text Domain:	hello-elementor-child
Tags:           flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* 
 ***** News *****
*/

/*  Subscribe Form */
.elementor-widget-wrap>.subscribe.elementor-element {
    width: 50%;
    display: flex;
    justify-content: flex-end;
}
.elementor-widget-wrap>.news-title.elementor-element {
    width: 50%;
}
@media screen and (max-width:767px){
    .elementor-widget-wrap>.news-title.elementor-element {
        width: 100%;
    }
    .elementor-widget-wrap>.subscribe.elementor-element {
        width: initial;
    }
}
.subscribe .elementor-form-fields-wrapper .elementor-field-type-submit , .subscribe .elementor-form-fields-wrapper .elementor-field-type-submit button {
    width: 50px;
}
.subscribe .elementor-form-fields-wrapper .elementor-field-group-email, .subscribe .elementor-form-fields-wrapper .elementor-field-group-email input {
    width: 250px;
}

/* Styles for mailchimp subscribe form */
#mc-embedded-subscribe-form {
    max-width: 600px;
    padding: 20px 0;
}
#mc-embedded-subscribe-form label {
    font-size: 16px;
    color: #5d5d5d;
}
#mc-embedded-subscribe-form .asterisk {
    color: #D5302A;
    font-size: 20px;
}
#mc-embedded-subscribe-form .mc-field-group {
    position: relative;
    margin: 0 0 20px;
    width: 100%;
    overflow: hidden;
}
#mc-embedded-subscribe-form .mc-field-group input[type="email"],
#mc-embedded-subscribe-form .mc-field-group input[type="text"],
#mc-embedded-subscribe-form .mc-field-group textarea {
    display: block;
    margin: 0;
    padding: 10px;
    font-size: 14px;
    background: #fff;
    width: 100%;
    border: 2px solid #d0d0d0;
    border-radius: 3px;
}
#mc-embedded-subscribe-form .mc-field-group input:focus {
    border-color: #5d5d5d;
    outline: none;
}
#mc-embedded-subscribe-form .mc-field-group ul {
    padding: 0;
    margin: 0;
    list-style: none;
}
#mc-embedded-subscribe-form input[type="submit"],
.filters-block input[type="submit"],
.filters-block #clear-filter {
    vertical-align: top;
    font-weight: 500;
    font-size: 16px;
    width: auto;
    height: 42px;
    margin: 12px 5px 12px 0;
    padding: 0 22px;
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    border: 2px solid #ed1c24;
    background-color: #ed1c24;
    color: #fff;
}
.filters-block #clear-filter {
    border-color: #d0d0d0;
    background-color: #d0d0d0;
}
#mc-embedded-subscribe-form input[type="submit"]:hover,
.filters-block input[type="submit"]:hover {
    color: #ed1c24;
    background-color: #fff;
}
.filters-block #clear-filter:hover {
    color: #d0d0d0;
    background-color: #fff;
}

/* custom checkboxes */
/* Base for label styling */
#mc-embedded-subscribe-form [type="checkbox"]:not(:checked),
#mc-embedded-subscribe-form [type="checkbox"]:checked {
    position: absolute;
    left: -9999px;
}
#mc-embedded-subscribe-form [type="checkbox"]:not(:checked) + label,
#mc-embedded-subscribe-form [type="checkbox"]:checked + label {
    position: relative;
    display: block;
    width: 100%;
    margin: 0;
    padding: 6px 6px 6px 38px;
    line-height: 24px;
    font-weight: normal;
    cursor: pointer;
    border-radius: 3px;
}

/* checkbox aspect */
#mc-embedded-subscribe-form [type="checkbox"]:not(:checked) + label i.fas,
#mc-embedded-subscribe-form [type="checkbox"]:checked + label i.fas {
    content: '';
    position: absolute;
    left: 6px;
    top: 6px;
    width: 24px;
    height: 24px;
    border: 2px solid #d0d0d0;
    background: #fff;
    border-radius: 3px;
    z-index: 2;
}
#mc-embedded-subscribe-form [type="checkbox"]:checked + label i.fas {
    background: #5d5d5d;
    border-color: #5d5d5d;
}
/* checked mark aspect */
#mc-embedded-subscribe-form [type="checkbox"]:not(:checked) + label i.fas:before,
#mc-embedded-subscribe-form [type="checkbox"]:checked + label i.fas:before {
    position: absolute;
    top: 6px;
    left: 5px;
    font-size: 10px;
    line-height: 1;
    color: #fff;
    transition: opacity .3s ease-in-out;
    z-index: 4;
}
/* checked mark aspect changes */
#mc-embedded-subscribe-form [type="checkbox"]:not(:checked) + label i.fas:before {
    opacity: 0;
}
#mc-embedded-subscribe-form [type="checkbox"]:checked + label i.fas:before {
    opacity: 1;
}
/* disabled checkbox */
#mc-embedded-subscribe-form [type="checkbox"]:disabled:not(:checked) + label i.fas,
#mc-embedded-subscribe-form [type="checkbox"]:disabled:checked + label i.fas {
    border-color: #bbb;
    background-color: #ddd;
}
#mc-embedded-subscribe-form [type="checkbox"]:disabled:checked + label i.fas:before {
    color: #999;
}
#mc-embedded-subscribe-form [type="checkbox"]:disabled + label {
    color: #aaa;
}
/* accessibility */
#mc-embedded-subscribe-form [type="checkbox"]:checked:focus + label i.fas,
#mc-embedded-subscribe-form [type="checkbox"]:not(:checked):focus + label i.fas {
    border: 2px solid #5d5d5d;
}

/* hover style just for information */
#mc-embedded-subscribe-form [type="checkbox"] + label:hover {
    background: rgba(0,0,0,.05);
}

/* Styles for filters on news page */
.filters-block {
    margin-bottom: 4px;
    padding-bottom: 30px;
    border-bottom: 1px solid #000;
}
.filters-block.elementor-element {
    padding-bottom: 0;
    border: none;
}
.filters-block h4 {
    font-size: 1.25rem;
    font-family: 'Montserrat', 'Roboto', Helvetica, Arial, sans-serif;
    color: #707070;
}
.filters-list {
    margin: 0;
    padding: 2px 0 0;
    list-style: none;
}
.filters-list li {
    margin: 0 0 11px;
}
/* custom checkboxes */
.filters-list  [type="checkbox"]:not(:checked),
.filters-list  [type="checkbox"]:checked {
    position: absolute;
    left: -9999px;
}
.filters-list [type="checkbox"]:not(:checked) + label,
.filters-list  [type="checkbox"]:checked + label {
    position: relative;
    display: block;
    width: 100%;
    margin: 0;
    padding: 0 0 0 16px;
    font-size: 12px;
    line-height: 1.25;
    font-weight: 300;
    color: #000;
    font-family: 'Montserrat', 'Roboto', Helvetica, Arial, sans-serif;
    cursor: pointer;
}

/* checkbox aspect */
.filters-list  [type="checkbox"]:not(:checked) + label:after,
.filters-list  [type="checkbox"]:checked + label:after {
    content: '';
    position: absolute;
    left: 0;
    top: 3px;
    width: 10px;
    height: 10px;
    border: 1px solid #D83C36;
    background: #fff;
    border-radius: 2px;
    z-index: 2;
}
.filters-list [type="checkbox"]:checked + label:after {
    background: #D83C36;
}
/* checked mark aspect */
.filters-list [type="checkbox"]:not(:checked) + label:before,
.filters-list [type="checkbox"]:checked + label:before {
    content: '';
    position: absolute;
    top: 4px;
    left: 3px;
    font-size: 8px;
    line-height: 1;
    display: inline-block;
    transform: rotate(45deg);
    height: 7px;
    width: 5px;
    border-bottom: 2px solid #fff;
    border-right: 2px solid #fff;
    transition: opacity .3s ease-in-out;
    z-index: 4;
}
/* checked mark aspect changes */
.filters-list [type="checkbox"]:not(:checked) + label:before {
    opacity: 0;
}
.filters-list [type="checkbox"]:checked + label:before {
    opacity: 1;
}
/* disabled checkbox */
.filters-list [type="checkbox"]:disabled:not(:checked) + label:after,
.filters-list [type="checkbox"]:disabled:checked + label:after {
    border-color: #bbb;
    background-color: #ddd;
}
.filters-list [type="checkbox"]:disabled:checked + label:before {
    color: #999;
}
.filters-list [type="checkbox"]:disabled + label {
    color: #aaa;
}
/* accessibility */
.filters-list [type="checkbox"]:checked:focus + label:after,
.filters-list [type="checkbox"]:not(:checked):focus + label:after {
    border: 1px solid #5d5d5d;
}
